LINUX.ORG.RU

Fedora 26 и Russian Fedora Remix 26

 , ,


1

3

11 июля состоялся выход Fedora 26 и Russian Fedora Remix 26.

Основные изменения в Fedora 26:

  • Anaconda получила расширенные возможности для системных администраторов.
  • SSSD-кэш включён по умолчанию.

Обновления ПО:

  • Gnome 3.24,
  • Mate 1.18,
  • Linux 4.11,
  • Firefox 54,
  • GO 1.8,
  • glibc 2.25,
  • Cinnamon 3.4,
  • Flashback 3.24,
  • KDE 5.9.

Russian Fedora — дистрибутив, основанный на Fedora с проприетарными компонентами.

Основные изменения Russian Fedora 26:

  • Freetype пересобран с subpixel rendering.
  • Fontconfig содержит патчи Ubuntu для LCD-мониторов.
  • В образы Workstation по умолчанию для GNOME Shell (не для GTK) используется тема Korora из одноименного проекта. Также опционально добавлены темы Adapta и EvoPop для GTK и иконки EvoPop. Все отключается и включается в gnome-tweak-tool.
  • В KDE добавлен LibreOffice вместо офиса KDE, а также изменена загрузочная тема Плимута на breeze.
  • Доступна поддержка Flash.
  • В репозитории доступен клиент для WhatsApp и Wire, а также Skype 4.3, Viber и Telegram.
  • В Live-образы в выключенном состоянии добавлены официальные репозитории с Google Chrome, Yandex Browser, MEGAsync, Skype, Slack, VirtualBox, Cloud Mail.ru, VK мессенджер и Yandex Disk.
  • Chromium пересобран с поддержкой кодеков.
  • Taglib собран с патчем ruxmms, для поддержки тегов в кодировке win1251.
  • Telepathy Gabble собран с патчем, позволяющим подключение к Jabber-серверу Cisco.
  • В репозитории доступен клиент s3fs-fuse и distributed key/value storage Elliptics.
  • Доступен новый Live-образ LXQt.
  • Для Live-образов доступна опция загрузки образа в память (rd.live.ram).
  • На все Live-образы добавлен по умолчанию Telegram.

>>> Подробности



Проверено: Shaman007 ()
Ответ на: комментарий от anonymous

Ты сам то пытался с них ставить? У меня не запускался установщик: для его запуска он должен был скопировать в память нкоторые файлы с диска.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)

Обновился с 25 на ноуте без проблем, но вот при попытке изменить grub.cfg:

[root@lp ~]# grub2-mkconfig -o /boot/grub2/grub.cfg
/etc/default/grub: строка 62: terminal_output: команда не найдена

Никто не превозмогал? Сходу ничего дельного не гуглится.

Ну и by default никуда не ушла старая проблема с интеловской интеграшкой:

[   81.284424] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

phoen ()
Последнее исправление: phoen (всего исправлений: 3)
Ответ на: комментарий от Odalist

Ну вот, видишь, если бы тебе Red Hat денюшку бы платил за тестинг, заработал бы деньжат...все же тяжело быть бесплатным тестером в гигантской компании...

А что, тебе платят?

anonymous ()
Ответ на: комментарий от anonymous

А почему selinux = анальный зонд? Его ж идея вроде наоборот в защите пользователя

А кто его разрабатывал? АНБ. Вы верите, что АНБ туда не напихало всего по самое небалуй? Я нет. А те кукаретики, которые с пеной у рта доказывают, что там код открыт и все понятно и прозрачно-дурачки, ибо никто самостоятельно не в состоянии физически проанализировать исходный код в таком кол-ве, а главное, никто не в состоянии сказать, как этот код взаимодействует с остальными частями системы.

anonymous ()
Ответ на: комментарий от grem

Ты сам то пытался с них ставить? У меня не запускался установщик: для его запуска он должен был скопировать в память нкоторые файлы с диска.

Я бы не писал сюда, если б не обломался с этим долбаным 9-м дебианом. И на ноутах, и на стационарниках установщик запускался. Повторяю-фейл был при копировании файлов. Притом не сразу, некоторую часть файлов система копировала. 9.0.1 ливка, по крайней мере с XFCE, была с такой-же фигней, только файлы уже другие лагали.

anonymous ()

О, свежий глюкодром.

Gnome 3.24

С одной стороны вроде задумка неплоха, но с другой с разработчиками явно что то не так. Они взялись писать новое DE новый тулкит новые API, но делают это «новое» почему то точно так, как делали до этого гном2/жтк2, все статично, все прибито натягивай шкурки пиши свистоперделки/расширения то что раньше через жопу вкручивалось (компиз, кайро) теперь официально.
Не то что бы я против API позволяющие писать какие то свои расширения, это очень здорово, но зачем это было начинать с написания нового велосипеда который на поверку мало чем отличается от старого?

uin ★★ ()
Ответ на: комментарий от slovazap

Кто интересно эту Russian Fedora использует.

Например, я.

Это надо же было просто взять и напихать в дистрибутив дерьма и троянов.

Слабая попытка спровоцировать флейм, очень слабая.

dexpl ★★★★★ ()
Ответ на: комментарий от anonymous

Я не знал этого, а apparmor? И как же теперь быть?

Вот за это чудо ничего не скажу-не сталкивался с ним и забивать свои мозги порцией инфы, которая мне может и не пригодится, как-то желания нет. Поищи сам на досуге, может что интересное найдешь.

anonymous ()
Ответ на: комментарий от anonymous

А кто его разрабатывал? АНБ. Вы верите, что АНБ туда не напихало всего по самое небалуй?

О, ещё один верующий в теории заговора АНБ. Ну ну. Шапочку из фольги одел уже?

Sunderland93 ★★★★★ ()
Ответ на: комментарий от GladAlex

Красота! Вернуться что ли на федору? :) Как оно сейчас по стабильности?

Вэйлэнд лагает временами. Вафля за время жизни 25-й Федоры два раза отваливалась, каждый раз на несколько недель. Пару раз какая-нибудь хрень или срала в лог, или не закрывала дескриптор адаптера, из-за чего всё тормозило и 10-часовая батарея заканчивалась за 2 часа.

Линукс. Необтёсан, но топор если держать умеешь, то нормально.

mv ★★★★★ ()
Ответ на: комментарий от Sunderland93

О, ещё один верующий в теории заговора АНБ. Ну ну. Шапочку из фольги одел уже?

О, детсадовские пожаловали. На горшочек уже сходил, мой маленький?

anonymous ()
Ответ на: комментарий от Sunderland93

О, ещё один верующий в теории заговора АНБ. Ну ну. Шапочку из фольги одел уже?

Школота, а ты из танка вылез уже? Страусиную голову из песка достал? А то смотри: проходящий мимо поезд жопу может снести!

GladAlex ★★★★★ ()

Оно такое же глючное и сырое как всегда? Кто реально пользуется этим дистрибутивом (не версии N-1) не просто так для посмотреть?

bbk123 ★★★★★ ()
Ответ на: комментарий от GladAlex

SELinux был разработан Агентством национальной безопасности США, и затем его исходные коды были представлены для скачивания.

Это из вики. Не знали об этом?

anonymous ()

Смотрю на версии пакетов, и вижу местами тухлятину. Тот же bc ещё версии 1.06.95, в то время как ещё весной вышла версия 1.07.1. screen версии 4.5.1, а уже есть 4.6.1. sbcl версии 1.3.18, а уже есть 1.3.19. perl 5 версии 5.24.1, а уже есть 5.26.0. Ну и т.д.

saahriktu ★★★★ ()
Ответ на: комментарий от anonymous

Закладки там определенно должны быть Но как тогда обеспечивать защищенность linux дистрибутивов?

Да вопрос стоял чуть в иной плоскости-что SELinux панацея от закладок. Я просто людям подсказал, что это не совсем так.

anonymous ()
Ответ на: комментарий от GladAlex

Федора гуд бай!

Тут как-бы «SELinux включён в состав ядра Linux (начиная с версии 2.6).»

Этой гадости уже напихано по самое не балуй. Не удивлюсь, если в винде зондов меньше, чем в нашем пингвиньем мирке.

anonymous ()
Ответ на: комментарий от alpha

Это в версии 1.07 так было, но следом выпустили пропатченную 1.07.1. Вот с этой версией я уже прекрасно скомпилил много ядер вплоть до свежего 4.12.0. Да и перед выходом версии 1.07.1 автор подсказывал как на коленке пропатчить 1.07 чтобы оно смогло собрать ядро.

saahriktu ★★★★ ()
Ответ на: комментарий от anonymous

Это не из-за SELinux через некоторое время использования Live-режима в Home директорию ничего больше нельзя записать и все файлы в ней становятся readonly?

grem ★★★★★ ()

А чем отличается RFRemix Server от просто Fedora Server?

И чтобы отдельную тему не создавать, спрошу здесь:
Как узнать для каких пакетов в Fedora уже есть готовые настройки для modules (environment modules)? То есть утилиты позволяющей выбирать текущую версию и реализацию некоторых библиотек, как например, для MPI (который в Fedora).

Как при этом загружать отределённый module при загрузке системы, чтобы каждый раз не писать самому «modules load mpi» для начала его использования?

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от alpha

У 26-й Федоры оно стартовало в середине мая. Версия 1.07.1, которую уже не надо патчить, вышла ещё 10-го апреля. Патчить версию 1.07 надо было в период со 2-го по 10-е апреля. Тогда 26-я Федора была в состоянии Alpha Freeze. Как ещё до выхода 1.07, так и после выхода 1.07.1.

saahriktu ★★★★ ()
Последнее исправление: saahriktu (всего исправлений: 1)